package com.rjconsultores.ventaboletos.web.gui.controladores.relatorios.integracaoantifraude;

import java.util.List;

public enum EStatusKondutoEnvio {
	
	ENVIADO("Enviado"),
	PENDENTE("Pendente"),
	ENVIADO_POSTERIOR("Enviado Posterior");
	
	private String descricao;
	
	private EStatusKondutoEnvio(String descricao) {
		this.descricao = descricao;
	}

	public String getDescricao() {
		return descricao;
	}
	
	public static String getDescricaoTodos(List<EStatusKondutoEnvio> list) {
		StringBuilder str = new StringBuilder();
		for (EStatusKondutoEnvio eStatusKondutoEnvio : list) {
			if(str.length() > 0) {
				str.append(", ");
			}
			str.append(eStatusKondutoEnvio.getDescricao());
		}
		return str.toString();
	}
	
	public static String getIdTodos(List<EStatusKondutoEnvio> list) {
		StringBuilder str = new StringBuilder();
		for (EStatusKondutoEnvio eStatusKondutoEnvio : list) {
			if(str.length() > 0) {
				str.append(", ");
			}
			str.append("'").append(eStatusKondutoEnvio.toString()).append("'");
		}
		return str.toString();
	}
	
	public static EStatusKondutoEnvio getStatusKondutoPorId(String id) {
		return EStatusKondutoEnvio.valueOf(id);
	}
	
}
